| aiengine Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl Struct Reference

The XAie driver instance data. More...

## Data Fields
XAieGbl_Config * | Config
| Configuration table entry for the AIE device. More...
u32 | IsReady
| Device is initialized and ready. More...
XAieGbl_Tile * | Tiles
| Pointer to tiles array. More...
XAieGbl_EventHandler | CoreEvtHandlers [XAIEGBL_MODULE_EVENTS_NUM]
| Core module events handler array. More...
XAieGbl_EventHandler | MemEvtHandlers [XAIEGBL_MODULE_EVENTS_NUM]
| Memory modle events handler array. More...
XAieGbl_EventHandler | ShimEvtHandlers [XAIEGBL_MODULE_EVENTS_NUM]
| Shim module events handler array. More...
XAieGbl_ErrorHandler | CoreErrHandlers [XAIEGBL_CORE_ERROR_NUM]
| Core module error handler array. More...
XAieGbl_ErrorHandler | MemErrHandlers [XAIEGBL_MEM_ERROR_NUM]
| Memory module error handler array. More...
XAieGbl_ErrorHandler | ShimErrHandlers [XAIEGBL_PL_ERROR_NUM]
| PL module error handler array. More...
u32 | CoreErrsDefaultTrap
| Core errors need to trap application. More...
u32 | MemErrsDefaultTrap
| Memory errors need to trap application. More...
u32 | ShimErrsDefaultTrap
| Shim errors need to trap application. More...
u32 | CoreErrsPollOnly
| Core errors polled only, no interrupt. More...
u32 | MemErrsPollOnly
| Memory errors polled only, no interrupt. More...
u32 | ShimErrsPollOnly
| Shim errors polled only, no interrupt. More...
uint32_t | BroadCastBitmap
| Broadcast Signal usage bitmap. More...

## Detailed Description

The XAie driver instance data.

The user is required to allocate a variable of this type for the AIE instance.

## Field Documentation

uint32_t XAieGbl::BroadCastBitmap

Broadcast Signal usage bitmap.

XAieGbl_Config* XAieGbl::Config

Configuration table entry for the AIE device.

Referenced by XAieGbl_CfgInitialize().

XAieGbl_ErrorHandler XAieGbl::CoreErrHandlers[XAIEGBL_CORE_ERROR_NUM]

Core module error handler array.

u32 XAieGbl::CoreErrsDefaultTrap

Core errors need to trap application.

u32 XAieGbl::CoreErrsPollOnly

Core errors polled only, no interrupt.

XAieGbl_EventHandler XAieGbl::CoreEvtHandlers[XAIEGBL_MODULE_EVENTS_NUM]

Core module events handler array.

u32 XAieGbl::IsReady

Device is initialized and ready.

Referenced by XAieGbl_CfgInitialize().

XAieGbl_ErrorHandler XAieGbl::MemErrHandlers[XAIEGBL_MEM_ERROR_NUM]

Memory module error handler array.

u32 XAieGbl::MemErrsDefaultTrap

Memory errors need to trap application.

u32 XAieGbl::MemErrsPollOnly

Memory errors polled only, no interrupt.

XAieGbl_EventHandler XAieGbl::MemEvtHandlers[XAIEGBL_MODULE_EVENTS_NUM]

Memory modle events handler array.

XAieGbl_ErrorHandler XAieGbl::ShimErrHandlers[XAIEGBL_PL_ERROR_NUM]

PL module error handler array.

u32 XAieGbl::ShimErrsDefaultTrap

Shim errors need to trap application.

u32 XAieGbl::ShimErrsPollOnly

Shim errors polled only, no interrupt.

XAieGbl_EventHandler XAieGbl::ShimEvtHandlers[XAIEGBL_MODULE_EVENTS_NUM]

Shim module events handler array.

XAieGbl_Tile* XAieGbl::Tiles

Pointer to tiles array.

Referenced by XAieGbl_CfgInitialize().